org.apache.velocity.tools.config

## Class CompoundConfiguration<C extends Configuration>

- java.lang.Object
- - org.apache.velocity.tools.config.Configuration
  - - org.apache.velocity.tools.config.CompoundConfiguration<C>

All Implemented Interfaces:
  Comparable<Configuration>

Direct Known Subclasses:
  FactoryConfiguration, ToolboxConfiguration

    public class CompoundConfiguration<C extends Configuration>
    extends Configuration

This class manages a `SortedSet` of child `Configuration`s as well as being a `Configuration` itself.

Version:
  $Id: Configuration.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna

### Constructor Summary

Constructors
Constructor and Description
`CompoundConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addChild(C newKid)`
`void` `addConfiguration(CompoundConfiguration<C> config)`
`protected void` `appendChildren(StringBuilder out, String childrenName, String childDelim)`
`boolean` `equals(Object obj)`
`protected C` `getChild(C kid)`
`protected Collection<C>` `getChildren()`
`protected boolean` `hasChildren()`
`int` `hashCode()`
`protected boolean` `removeChild(C config)`
`protected void` `setChildren(Collection<C> kids)`
`void` `validate()`

### Methods inherited from class org.apache.velocity.tools.config.Configuration

`addConfiguration, addProperty, appendProperties, compareTo, getProperties, getProperty, getPropertyMap, hasProperties, removeProperty, removeProperty, setProperties, setProperty, setPropertyMap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompoundConfiguration

    public CompoundConfiguration()

### Method Detail

#### addChild

    protected void addChild(C newKid)

#### removeChild

    protected boolean removeChild(C config)

#### hasChildren

    protected boolean hasChildren()

#### getChildren

    protected Collection<C> getChildren()

#### setChildren

    protected void setChildren(Collection<C> kids)

#### getChild

    protected C getChild(C kid)

#### addConfiguration

    public void addConfiguration(CompoundConfiguration<C> config)

#### validate

    public void validate()

Overrides:
  `validate` in class `Configuration`

#### appendChildren

    protected void appendChildren(StringBuilder out,
                                  String childrenName,
                                  String childDelim)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Configuration`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Configuration`